#!/bin/bash

CURRENTDIRECTORY=${PWD##*/}
FACTORIOMODSDIRECTORY="/home/jakimfett/bin/factorio/mods"
MODBASENAME=$(cat info.json | grep -Po '(?<="name": ")[^"]*')
CURRENTVERSION=$(cat info.json | grep -Po '(?<="version": ")[^"]*')

cd ../


rm -f $FACTORIOMODSDIRECTORY/$MODBASENAME*

zip -r "${FACTORIOMODSDIRECTORY}/${MODBASENAME}_${CURRENTVERSION}.zip" $CURRENTDIRECTORY -x *.git*
